package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.media.Media;
import de.hybris.platform.jalo.c2l.Language;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class BpclEkycConsents extends GenericItem
{
    public static final String CONSENTID = "consentId";
    public static final String CONSENTLANGUAGE = "consentLanguage";
    public static final String LANGUAGECODE = "languageCode";
    public static final String CONSENTLANGUAGENAME = "consentLanguageName";
    public static final String CONSENTDESCRIPTION = "consentDescription";
    public static final String MEDIAFILE = "mediaFile";
    public static final String APPID = "appID";
    public static final String PARTNERCODE = "partnerCode";
    public static final String SEQUENCENUMBER = "sequenceNumber";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return BpclEkycConsents.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getAppID(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "appID".intern());
    }
    
    public String getAppID() {
        return this.getAppID(this.getSession().getSessionContext());
    }
    
    public void setAppID(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "appID".intern(), (Object)value);
    }
    
    public void setAppID(final String value) {
        this.setAppID(this.getSession().getSessionContext(), value);
    }
    
    public String getConsentDescription(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "consentDescription".intern());
    }
    
    public String getConsentDescription() {
        return this.getConsentDescription(this.getSession().getSessionContext());
    }
    
    public void setConsentDescription(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "consentDescription".intern(), (Object)value);
    }
    
    public void setConsentDescription(final String value) {
        this.setConsentDescription(this.getSession().getSessionContext(), value);
    }
    
    public String getConsentId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "consentId".intern());
    }
    
    public String getConsentId() {
        return this.getConsentId(this.getSession().getSessionContext());
    }
    
    public void setConsentId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "consentId".intern(), (Object)value);
    }
    
    public void setConsentId(final String value) {
        this.setConsentId(this.getSession().getSessionContext(), value);
    }
    
    public Language getConsentLanguage(final SessionContext ctx) {
        return (Language)this.getProperty(ctx, "consentLanguage".intern());
    }
    
    public Language getConsentLanguage() {
        return this.getConsentLanguage(this.getSession().getSessionContext());
    }
    
    public void setConsentLanguage(final SessionContext ctx, final Language value) {
        this.setProperty(ctx, "consentLanguage".intern(), (Object)value);
    }
    
    public void setConsentLanguage(final Language value) {
        this.setConsentLanguage(this.getSession().getSessionContext(), value);
    }
    
    public String getConsentLanguageName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "consentLanguageName".intern());
    }
    
    public String getConsentLanguageName() {
        return this.getConsentLanguageName(this.getSession().getSessionContext());
    }
    
    public void setConsentLanguageName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "consentLanguageName".intern(), (Object)value);
    }
    
    public void setConsentLanguageName(final String value) {
        this.setConsentLanguageName(this.getSession().getSessionContext(), value);
    }
    
    public String getLanguageCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "languageCode".intern());
    }
    
    public String getLanguageCode() {
        return this.getLanguageCode(this.getSession().getSessionContext());
    }
    
    public void setLanguageCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "languageCode".intern(), (Object)value);
    }
    
    public void setLanguageCode(final String value) {
        this.setLanguageCode(this.getSession().getSessionContext(), value);
    }
    
    public Media getMediaFile(final SessionContext ctx) {
        return (Media)this.getProperty(ctx, "mediaFile".intern());
    }
    
    public Media getMediaFile() {
        return this.getMediaFile(this.getSession().getSessionContext());
    }
    
    public void setMediaFile(final SessionContext ctx, final Media value) {
        this.setProperty(ctx, "mediaFile".intern(), (Object)value);
    }
    
    public void setMediaFile(final Media value) {
        this.setMediaFile(this.getSession().getSessionContext(), value);
    }
    
    public String getPartnerCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "partnerCode".intern());
    }
    
    public String getPartnerCode() {
        return this.getPartnerCode(this.getSession().getSessionContext());
    }
    
    public void setPartnerCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "partnerCode".intern(), (Object)value);
    }
    
    public void setPartnerCode(final String value) {
        this.setPartnerCode(this.getSession().getSessionContext(), value);
    }
    
    public Integer getSequenceNumber(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "sequenceNumber".intern());
    }
    
    public Integer getSequenceNumber() {
        return this.getSequenceNumber(this.getSession().getSessionContext());
    }
    
    public int getSequenceNumberAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getSequenceNumber(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getSequenceNumberAsPrimitive() {
        return this.getSequenceNumberAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setSequenceNumber(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "sequenceNumber".intern(), (Object)value);
    }
    
    public void setSequenceNumber(final Integer value) {
        this.setSequenceNumber(this.getSession().getSessionContext(), value);
    }
    
    public void setSequenceNumber(final SessionContext ctx, final int value) {
        this.setSequenceNumber(ctx, Integer.valueOf(value));
    }
    
    public void setSequenceNumber(final int value) {
        this.setSequenceNumber(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("consentId", Item.AttributeMode.INITIAL);
        tmp.put("consentLanguage", Item.AttributeMode.INITIAL);
        tmp.put("languageCode", Item.AttributeMode.INITIAL);
        tmp.put("consentLanguageName", Item.AttributeMode.INITIAL);
        tmp.put("consentDescription", Item.AttributeMode.INITIAL);
        tmp.put("mediaFile", Item.AttributeMode.INITIAL);
        tmp.put("appID", Item.AttributeMode.INITIAL);
        tmp.put("partnerCode", Item.AttributeMode.INITIAL);
        tmp.put("sequenceNumber", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
